package cn.quant.baa.pay.acquirer;

import cn.quant.baa.pay.jpa.entity.PayHistoryEntity;
import cn.quant.baa.pay.model.web.*;

/**
 * Created by Administrator on 2021/9/1 0001.
 */
public interface Acquirer {
    Object code();

    ChannelResponse pay(PayRequestData payRequestData, PayHistoryEntity payHistoryEntity) throws Exception;
    ChannelResponse refund(RefundRequestData refundRequestData) throws Exception;
    ChannelResponse checkPay(CheckPayRequestData checkPayRequestData) throws Exception;
    ChannelResponse checkRefund(CheckRefundRequestData checkRefundRequestData) throws Exception;
    ChannelResponse close(CloseRequestData closeRequestData) throws Exception;
}
